hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

HaskellWorks.Data.Decode

# Documentation

class Decode s t where #

Methods

decode :: s -> Either DecodeError t #

newtype DecodeError #

Constructors

DecodeError String |

#### Instances

Instances details

Show DecodeError # |
Instance details Defined in HaskellWorks.Data.Decode Methods showsPrec :: Int -> DecodeError -> ShowS # show :: DecodeError -> String # showList :: [DecodeError] -> ShowS #
Eq DecodeError # |
Instance details Defined in HaskellWorks.Data.Decode Methods (==) :: DecodeError -> DecodeError -> Bool # (/=) :: DecodeError -> DecodeError -> Bool #